Get Goal
GET
Gets one exact Goal and its current progress when its Goal ID is known. Does not change the Goal.
header
AuthorizationBearer <token>A signed-in SMB user's access token. Workspace-scoped operations also require SMB-Workspace-Id.
goal_id*stringStable Goal ID.
Match
^gol_[0-7][0-9A-HJKMNP-TV-Z]{25}$SMB-Workspace-Id*stringWorkspace where this operation runs. Required for user tokens and Workspace API keys.
Format
uuidSuccessful authorized response.
application/json- response
data*request_id*stringcurl -X GET 'https://example.com/v1/goals/string' \ -H 'SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08'{ "data": { "goal_id": "string", "business_id": "string", "room_id": "string", "title": "string", "description": "string", "status": "active", "accountable_user_id": "string", "due_at": "2019-08-24T14:15:22Z", "terminal_reason": "string", "completed_at": "2019-08-24T14:15:22Z", "canceled_at": "2019-08-24T14:15:22Z", "created_by": { "type": "user", "id": "string" }, "revision": 1, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }, "request_id": "string"}